import { defineConfig } from 'vitepress'

export default defineConfig({
  title: 'Funkwhale Ui',
  cleanUrls: true,
  cacheDir: './.vitepress/.vite',
  themeConfig: {
    nav: [
      { text: 'Home', link: 'https://funkwhale.audio' },
      { text: 'Gitlab', link: 'https://dev.funkwhale.audio/funkwhale/ui' },
    ],
    sidebar: [
      { text: 'Designing Pages', link: '/designing-pages' },
      { text: 'Using Color', link: '/using-color' },
      { text: 'Using Width', link: '/using-width' },
      { text: 'Using Alignment', link: '/using-alignment' },
      { text: 'Using Components', link: '/using-components' },
      { text: 'Contributing', link: '/contributing' },
      {
        items: [
          { text: 'Activity', link: '/components/ui/activity' },
          { text: 'Alert', link: '/components/ui/alert' },
          { text: 'Card', link: '/components/ui/card' },
          {
            text: 'Content Navigation',
            items: [
              { text: 'Pagination', link: '/components/ui/pagination' },
              { text: 'Table of Contents', link: '/components/ui/toc' },
              { text: 'Tabs', link: '/components/ui/tabs' },
            ],
          },
          {
            text: 'Form',
            items: [
              {
                text: 'Button', link: '/components/ui/button',
                items: [
                  { text: 'Options Button', link: '/components/ui/button/options' },
                  { text: 'Play Button', link: '/components/ui/button/play' },
                ],
              },
              { text: 'Input', link: '/components/ui/input' },
              { text: 'Popover (Dropdown Menu)', link: '/components/ui/popover' },
              { text: 'Textarea', link: '/components/ui/textarea' },
              { text: 'Toggle', link: '/components/ui/toggle' },
            ],
          },
          {
            text: 'Layout', link: '/components/ui/layout/',
            items: [
              { text: "Spacer", link: "/components/ui/layout/spacer" },
              { text: "Section", link: "/components/ui/layout/section" },
              { text: "Using `flex`", link: "/components/ui/layout/flex" },
              { text: "Using `stack`", link: "/components/ui/layout/stack" },
              { text: "Using `grid`", link: "/components/ui/layout/grid" },
              { text: "Using `columns`", link: "/components/ui/layout/columns" },
            ]
          },
          { text: 'Link', link: 'components/ui/link' },
          { text: 'Loader', link: '/components/ui/loader' },
          { text: 'Modal', link: '/components/ui/modal' },
          { text: 'Pill', link: '/components/ui/pill' },
          { text: 'List of pills', link: '/components/ui/pills' },
        ],
      },
    ],
    search: {
      provider: 'local',
    },
  },
})
